<script setup>
import {inject, ref} from "vue";
import ColorInput from 'vue-color-input'
import axios from "axios";

const form = inject('form')
const options = form.rares;
const parameter = ref({
    name: null,
    color: null,
});

const addItem = () => {
    options.push({ ...parameter.value });
    console.log(form);
};

const deleteItem = (key,item) => {
    axios.post(route('admin.color-features.delete',{featuresColor:item.id}));
    options.splice(key, 1);
};

</script>

<template>
    <h2 class="parametres-template__subtitle">Редкость предмета</h2>
    <div class="row">
        <div class="col-md-10">
            <div v-for="(item,key) in options" class="parametres-template__item item-parametres-template">
                <input
                    type="text"
                    class="form-control m-4"
                    placeholder="Название редкости"
                    v-model="item.name"
                />

                <color-input v-model="item.color" />
                <div class="item-parametres-template__del m-4">
                    <button @click="deleteItem(key,item)" type="button" class="btn btn-danger">
                        Удалить
                    </button>
                </div>
            </div>
            <button @click="addItem()" type="button" class="btn btn-secondary parametres-template__add"> Добавить </button>
        </div>
    </div>
</template>

<style scoped lang="scss">
.parametres-template {
    &__subtitle {
    }
    &__item {
    }
}
.item-parametres-template {
    &__config {
        height: 38px;
        border: 1px solid #ced4da;
        border-radius: 0.25rem;
    }
    &__current-color {
    }
    &__del {
    }
}
.form-select {
}
.btn {
}
.btn-danger {
}

</style>
